### Property

# Gtk Window:gravity

since: 4.20

#### Declaration

    property gravity: Gtk.WindowGravity [ read, write ]

#### Description [src]

The gravity to use when resizing the window programmatically.

Gravity describes which point of the window we want to keep fixed (meaning that the window will grow in the opposite direction). For example, a gravity of `GTK_WINDOW_GRAVITY_TOP_RIGHT` means that we want the to fix top right corner of the window.

Type:`GtkWindowGravity`

Available since: 4.20

Default value | GTK_WINDOW_GRAVITY_TOP_START
Getter method | `gtk_window_get_gravity()`
Setter method | `gtk_window_set_gravity()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no